#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: Agda
version: 2.4.2.3
id: Agda-2.4.2.3-c0f357abfaa0af5d0f5ad4ee1bff7ae1
key: Agda_0hTxYr3v6dR3ZuHXWyiffz
license: OtherLicense
maintainer: Ulf Norell <ulfn@chalmers.se>
homepage: http://wiki.portal.chalmers.se/agda/
synopsis: A dependently typed functional programming language and proof assistant
description:
    Agda is a dependently typed functional programming language: It has
    inductive families, which are similar to Haskell'\''s GADTs, but they
    can be indexed by values and not just types. It also has
    parameterised modules, mixfix operators, Unicode characters, and an
    interactive Emacs interface (the type checker can assist in the
    development of your code).
    .
    Agda is also a proof assistant: It is an interactive system for
    writing and checking proofs. Agda is based on intuitionistic type
    theory, a foundational system for constructive mathematics developed
    by the Swedish logician Per Martin-L&#xf6;f. It has many
    similarities with other proof assistants based on dependent types,
    such as Coq, Epigram and NuPRL.
    .
    This package includes both a command-line program (agda) and an
    Emacs mode. If you want to use the Emacs mode you can set it up by
    running @agda-mode setup@ (see the README).
    .
    Note that the Agda library does not follow the package versioning
    policy, because it is not intended to be used by third-party
    packages.
category: Dependent types
author: Ulf Norell, Andreas Abel, Nils Anders Danielsson, Makoto Takeyama, Catarina Coquand, with contributions by Stevan Andjelkovic, Marcin Benke, Jean-Philippe Bernardy, James Chapman, Jesper Cockx, Dominique Devriese, Peter Divanski, Fredrik Nordvall Forsberg, Olle Fredriksson, Daniel Gustafsson, Philipp Hausmann, Patrik Jansson, Alan Jeffrey, Wolfram Kahl, Fredrik Lindblad, Francesco Mazzoli, Stefan Monnier, Darin Morrison, Guilhem Moulin, Nicolas Pouillard, Andrés Sicard-Ramírez, Andrea Vezzosi and many more.
exposed: True
exposed-modules:
    Agda.Auto.Auto Agda.Auto.CaseSplit Agda.Auto.Convert
    Agda.Auto.NarrowingSearch Agda.Auto.SearchControl Agda.Auto.Syntax
    Agda.Auto.Typecheck Agda.Compiler.CallCompiler
    Agda.Compiler.Epic.AuxAST Agda.Compiler.Epic.CaseOpts
    Agda.Compiler.Epic.Compiler Agda.Compiler.Epic.CompileState
    Agda.Compiler.Epic.Epic Agda.Compiler.Epic.Erasure
    Agda.Compiler.Epic.ForceConstrs Agda.Compiler.Epic.Forcing
    Agda.Compiler.Epic.FromAgda Agda.Compiler.Epic.Injection
    Agda.Compiler.Epic.Interface Agda.Compiler.Epic.NatDetection
    Agda.Compiler.Epic.Primitive Agda.Compiler.Epic.Smashing
    Agda.Compiler.Epic.Static Agda.Compiler.HaskellTypes
    Agda.Compiler.JS.Case Agda.Compiler.JS.Compiler
    Agda.Compiler.JS.Syntax Agda.Compiler.JS.Substitution
    Agda.Compiler.JS.Parser Agda.Compiler.JS.Pretty
    Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode
    Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty
    Agda.Compiler.MAlonzo.Primitives Agda.ImpossibleTest
    Agda.Interaction.BasicOps Agda.Interaction.CommandLine
    Agda.Interaction.EmacsCommand Agda.Interaction.EmacsTop
    Agda.Interaction.Exceptions Agda.Interaction.FindFile
    Agda.Interaction.Highlighting.Dot
    Agda.Interaction.Highlighting.Emacs
    Agda.Interaction.Highlighting.Generate
    Agda.Interaction.Highlighting.HTML
    Agda.Interaction.Highlighting.Precise
    Agda.Interaction.Highlighting.Range
    Agda.Interaction.Highlighting.Vim
    Agda.Interaction.Highlighting.LaTeX Agda.Interaction.Imports
    Agda.Interaction.InteractionTop Agda.Interaction.Response
    Agda.Interaction.MakeCase Agda.Interaction.Monad
    Agda.Interaction.Options Agda.Interaction.Options.Lenses Agda.Main
    Agda.Syntax.Abstract.Copatterns Agda.Syntax.Abstract.Name
    Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views
    Agda.Syntax.Abstract Agda.Syntax.Common
    Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Generic
    Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Parser
    Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty
    Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info
    Agda.Syntax.Internal Agda.Syntax.Internal.Defs
    Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern
    Agda.Syntax.Literal Agda.Syntax.Notation Agda.Syntax.Parser.Alex
    Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout
    Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer
    Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad
    Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals
    Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position
    Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad
    Agda.Syntax.Translation.AbstractToConcrete
    Agda.Syntax.Translation.ConcreteToAbstract
    Agda.Syntax.Translation.InternalToAbstract
    Agda.Termination.CallGraph Agda.Termination.CallMatrix
    Agda.Termination.CutOff Agda.Termination.Inlining
    Agda.Termination.Monad Agda.Termination.Order
    Agda.Termination.RecCheck Agda.Termination.SparseMatrix
    Agda.Termination.Semiring Agda.Termination.TermCheck
    Agda.Termination.Termination Agda.Tests Agda.TheTypeChecker
    Agda.TypeChecking.Abstract Agda.TypeChecking.CheckInternal
    Agda.TypeChecking.CompiledClause
    Agda.TypeChecking.CompiledClause.Compile
    Agda.TypeChecking.CompiledClause.Match
    Agda.TypeChecking.Constraints Agda.TypeChecking.Conversion
    Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match
    Agda.TypeChecking.Coverage.SplitTree Agda.TypeChecking.Datatypes
    Agda.TypeChecking.DisplayForm Agda.TypeChecking.DropArgs
    Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract
    Agda.TypeChecking.Errors Agda.TypeChecking.Free
    Agda.TypeChecking.Forcing Agda.TypeChecking.Implicit
    Agda.TypeChecking.Injectivity Agda.TypeChecking.InstanceArguments
    Agda.TypeChecking.Irrelevance Agda.TypeChecking.Level
    Agda.TypeChecking.LevelConstraints Agda.TypeChecking.MetaVars
    Agda.TypeChecking.MetaVars.Mention
    Agda.TypeChecking.MetaVars.Occurs Agda.TypeChecking.Monad.Base
    Agda.TypeChecking.Monad.Base.Benchmark
    Agda.TypeChecking.Monad.Base.KillRange
    Agda.TypeChecking.Monad.Benchmark Agda.TypeChecking.Monad.Builtin
    Agda.TypeChecking.Monad.Closure Agda.TypeChecking.Monad.Constraints
    Agda.TypeChecking.Monad.Context Agda.TypeChecking.Monad.Debug
    Agda.TypeChecking.Monad.Env Agda.TypeChecking.Monad.Exception
    Agda.TypeChecking.Monad.Imports Agda.TypeChecking.Monad.MetaVars
    Agda.TypeChecking.Monad.Mutual Agda.TypeChecking.Monad.Open
    Agda.TypeChecking.Monad.Options Agda.TypeChecking.Monad.Sharing
    Agda.TypeChecking.Monad.Signature
    Agda.TypeChecking.Monad.SizedTypes Agda.TypeChecking.Monad.State
    Agda.TypeChecking.Monad.Statistics Agda.TypeChecking.Monad.Trace
    Agda.TypeChecking.Monad Agda.TypeChecking.Patterns.Abstract
    Agda.TypeChecking.Patterns.Match Agda.TypeChecking.Polarity
    Agda.TypeChecking.Positivity Agda.TypeChecking.Pretty
    Agda.TypeChecking.Primitive Agda.TypeChecking.ProjectionLike
    Agda.TypeChecking.Quote Agda.TypeChecking.RecordPatterns
    Agda.TypeChecking.Records Agda.TypeChecking.Reduce
    Agda.TypeChecking.Reduce.Monad Agda.TypeChecking.Rewriting
    Agda.TypeChecking.Rewriting.NonLinMatch
    Agda.TypeChecking.Rules.Builtin
    Agda.TypeChecking.Rules.Builtin.Coinduction
    Agda.TypeChecking.Rules.Data Agda.TypeChecking.Rules.Decl
    Agda.TypeChecking.Rules.Def Agda.TypeChecking.Rules.LHS
    Agda.TypeChecking.Rules.LHS.Implicit
    Agda.TypeChecking.Rules.LHS.Instantiate
    Agda.TypeChecking.Rules.LHS.Problem
    Agda.TypeChecking.Rules.LHS.ProblemRest
    Agda.TypeChecking.Rules.LHS.Split Agda.TypeChecking.Rules.LHS.Unify
    Agda.TypeChecking.Rules.Record Agda.TypeChecking.Rules.Term
    Agda.TypeChecking.Serialise Agda.TypeChecking.SizedTypes
    Agda.TypeChecking.SizedTypes.Solve
    Agda.TypeChecking.SizedTypes.Syntax
    Agda.TypeChecking.SizedTypes.Tests
    Agda.TypeChecking.SizedTypes.Utils
    Agda.TypeChecking.SizedTypes.WarshallSolver
    Agda.TypeChecking.Substitute Agda.TypeChecking.SyntacticEquality
    Agda.TypeChecking.Telescope Agda.TypeChecking.Test.Generators
    Agda.TypeChecking.Tests Agda.TypeChecking.Unquote
    Agda.TypeChecking.With Agda.Utils.AssocList Agda.Utils.Bag
    Agda.Utils.BiMap Agda.Utils.Char Agda.Utils.Cluster
    Agda.Utils.Empty Agda.Utils.Except Agda.Utils.Either
    Agda.Utils.Favorites Agda.Utils.FileName Agda.Utils.Functor
    Agda.Utils.Function Agda.Utils.Geniplate
    Agda.Utils.Graph.AdjacencyMap
    Agda.Utils.Graph.AdjacencyMap.Unidirectional Agda.Utils.Hash
    Agda.Utils.HashMap Agda.Utils.Impossible Agda.Utils.IO.Binary
    Agda.Utils.IO.UTF8 Agda.Utils.IORef Agda.Utils.Lens
    Agda.Utils.Lens.Examples Agda.Utils.List Agda.Utils.ListT
    Agda.Utils.ListT.Tests Agda.Utils.Map Agda.Utils.Map.Compat
    Agda.Utils.Maybe Agda.Utils.Maybe.Strict Agda.Utils.Monad
    Agda.Utils.Null Agda.Utils.PartialOrd Agda.Utils.Permutation
    Agda.Utils.Permutation.Tests Agda.Utils.Pointer Agda.Utils.Pretty
    Agda.Utils.QuickCheck Agda.Utils.ReadP Agda.Utils.SemiRing
    Agda.Utils.Singleton Agda.Utils.Size Agda.Utils.String
    Agda.Utils.Suffix Agda.Utils.TestHelpers Agda.Utils.Time
    Agda.Utils.Trie Agda.Utils.Tuple Agda.Utils.Update
    Agda.Utils.VarSet Agda.Utils.Warshall Agda.Version
hidden-modules: Paths_Agda
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/Agda-2.4.2.3
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/Agda-2.4.2.3
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/Agda-2.4.2.3
hs-libraries: HSAgda-2.4.2.3-0hTxYr3v6dR3ZuHXWyiffz
include-dirs: /usr/local/include
depends:
    QuickCheck-2.8.1-d2f1c7715734989efc1da1e71f3c72de
    array-0.5.1.0-aabf9daaf6d89a89ffdaf632a0eb259e
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    binary-0.7.5.0-519c22fcbb5c4699f55ee9c7febd18eb
    boxes-0.1.4-9f86a35f9042d824c47942c68ed54d26
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    data-hash-0.2.0.1-72096310f36ee5529c80ed4aca865375
    deepseq-1.4.1.1-264f30222df8f26ad705894f660a17b6
    directory-1.2.2.0-b6ee7e969ff00a970631d14a5a84bc27
    edit-distance-0.2.2.1-1e17962d7db38ea1b8ddcbcc82c36e3f
    equivalence-0.3.1-4b8bd884cf1ef25f281c2e99c1238404
    filepath-1.4.0.0-84bda675ba63f9b1a4b3fb9597f70f12
    geniplate-mirror-0.7.1-df68da6ba3bacde8b4fd7b889dc05343
    hashable-1.2.3.3-c9c80f60fec1c2bfec8f21d0ecd5aacc
    hashtables-1.2.0.2-6e22078815eaf0362892e20966a221af
    haskeline-0.7.2.1-17cb4b434947c9a512f19ea43ff38208
    haskell-src-exts-1.16.0.1-d902afa17bc53269995fe73f3a7bd7ad
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    parallel-3.2.0.6-7fc1c74ef4215a71c3a5b51007178df6
    pretty-1.1.2.0-1fb5e112c0b0974fa63ea171ac3c34f6
    process-1.2.3.0-6ba26f4843c3923e1f0fe560685c1e06
    strict-0.3.2-58c4d8d575d1016846133186588344e2
    template-haskell-2.10.0.0-50be769ad8939d8e8caca364b0b694f2
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
    transformers-compat-0.4.0.4-3ca5cbcec233c17da785d5f27705643c
    unordered-containers-0.2.5.1-335583f000f0fa5722ec79c17794446a
    xhtml-3000.2.1-da217cc339a4f9f70cb1d1cd0f71ab4c
    zlib-0.5.4.2-c78436f04a144c5349e560995b970aeb
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/Agda-2.4.2.3/html/Agda.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/Agda-2.4.2.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
